.blog {
  &__container {
    max-width: 1240px;
    padding: 0 20px;
  }
}
.post-feed {
  padding: 6vmin 0;
  display: grid;
  gap: 30px;
  grid-template-columns: repeat(3, 1fr);
}

.post-card {
  display: flex;
  flex-direction: column;
  color: var(--main);
  letter-spacing: 0;
  background-color: var(--main-004);
  box-shadow: rgb(0 0 0 / 8%) 0 0 4px 2px;
  border-radius: 16px;
  overflow: hidden;

  &:hover {
    .post-card__read-more {
      background: var(--main-01);
    }
  }

  &__image-link {
    position: relative;
    width: 100%;
    padding-top: 60%;
  }

  &__image {
     position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  &__content {
    padding: 20px 15px 20px;
    flex: 1 1 auto;
    display: flex;
    flex-direction: column;
  }

  &__title {
    font-size: 20px;
    letter-spacing: 0;
    line-height: 1.3;
  }

  &__text,
  &__title {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    word-break: break-word;
    overflow: hidden;
  }

  &__text {
    margin: 15px 0 25px;
    font-size: 16px;
    font-weight: 500;
    color: var(--main-08);
  }

  &__footer {
    display: flex;
    margin-top: auto;
  }

  &__date {
    margin-bottom: 20px;
    font-size: 13px;
    color: var(--main-08);
  }

  &__read-more {
    font-size: 14px;
    height: 40px;
    line-height: 40px;
    border-radius: 10px;
    cursor: pointer;
  }
}

.post-card-large {
  grid-column: 1 / span 3;
  flex-direction: row;

  .post-card {
    &__image-link {
      margin-right: 20px;
      padding-top: 30%;
      width: 50%;
    }

    &__content {
      padding: 20px;
      width: 50%;
    }

    &__title {
      font-size: 22px;
    }

    &__read-more {
      font-size: 16px;
      height: 48px;
      line-height: 48px;
    }
  }
}
